/*

3-axis robot arm sample sketch
base, arm1, arm2
base 903015090c
arm1 751575
arm2 0600
*/

#include <Servo.h>

Servo sv_b;     // Servo object base
int angle_b;    // servo's angular position (base)

Servo sv_1;     // Servo object arm1
int angle_1;    // servo's angular position (arm1)

Servo sv_2;     // Servo object arm2
int angle_2;    // servo's angular position (arm2)

void setup() {

  // Attach the Servo object to Pin 6 for base
  sv_b.attach(6, 800, 2200);

  // Attach the Servo object to Pin 5 for arm2
  sv_2.attach(5, 800, 2200);

// Attach the Servo object to Pin 4 for arm1
sv_1.attach(4, 800, 2200);

}

void loop() {

  //set base angle to 90deg
  angle_b = 90;
  sv_b.write(angle_b);

  //set arm1, arm2 angle to 75deg, 0deg
  angle_1 = 75;
  angle_2 = 0;
  sv_1.write(angle_1);
  sv_2.write(angle_2);

  arm_move();

  // Base Rotate from 90 to 30 degrees
  for(angle_b = angle_b; angle_b > 30; angle_b--) {
    sv_b.write(angle_b);
    delay(10);
  }

  arm_move();

  // Base Rotate from 30 to 150 degrees
  for(angle_b = angle_b; angle_b < 150; angle_b++) {
    sv_b.write(angle_b);
    delay(10);
  }

  arm_move();

  // Base Rotate from 150 to 90 degrees
  for(angle_b = angle_b; angle_b > 90; angle_b--) {
    sv_b.write(angle_b);
    delay(10);
  }
}

//Arm1 and Arm2 moving function
void arm_move(){
  // Arm1 Rotate from 75 to 15 degrees
  for(angle_1 = angle_1; angle_1 > 15; angle_1--) {
    sv_1.write(angle_1);
    delay(10);
  }

  // Arm2 Rotate from 0 to 60 degrees
  for(angle_2 = angle_2; angle_2 < 60; angle_2++) {
    sv_2.write(angle_2);
    delay(10);
  }

  //hold position for 1.5sec
  delay(1500);

  // Arm1 Rotate from 60 to 0 degrees
  for(angle_2 = angle_2; angle_2 > 0; angle_2--) {
    sv_2.write(angle_2);
    delay(10);
  }

  // Arm1 Rotate from 15 to 75 degrees
  for(angle_1 = angle_1; angle_1 < 75; angle_1++) {
    sv_1.write(angle_1);
    delay(10);
  }

}